%define installdir %webserver_webappsdir/%name


Name: sugarcrm
Version: 5.5.0
Release: alt1


Summary: Customer Relationship Management (CRM) system.
License: GPLv3
Group: Office


URL: http://www.sugarforge.org/
Packager: Pavel Zilke <zidex at altlinux dot org>
BuildArch: noarch

Source0: %name-%version.tar.gz
Source1: langpack_ru.tar.gz
Source2: apache.conf
Source3: apache2.conf
Source4: README.ALT
Patch: patch0.patch

Requires: webserver-common php-engine
BuildRequires(pre): rpm-macros-webserver-common

%description
Open-Source Customer Relationship Management (CRM) system.


%package apache
Summary: Apache 1.x web-server configuration for %name
Group: Office
Requires: %name = %version-%release, apache
%description apache
Apache 1.x web-server configuration for %name


%package apache2
Summary: Apache 2.x web-server configuration for %name
Group: Office
Requires: %name = %version-%release, apache2
%description apache2
Apache 2.x web-server configuration for %name


%package php5
Summary: PHP5 dependencies for %name
Group: Office
Requires: %name = %version-%release, php5-mysql, php5-mbstring, php5-curl
%description php5
PHP5 dependencies for %name


%prep
%setup
%setup -T -D -a 1
%patch -p0


%build

%install
# install apache config
install -pD -m0644 %_sourcedir/apache.conf %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 %_sourcedir/apache2.conf %buildroot%_sysconfdir/httpd2/conf/addon.d/A.%name.conf

# install sugarcrm
mkdir -p %buildroot%installdir
cp -rp * %buildroot%installdir/
cp .htaccess %buildroot%installdir/

# install langpack
cp -rf %buildroot%installdir/langpack_ru/* %buildroot%installdir/
rm -rf %buildroot%installdir/langpack_ru/

#install README.ALT
install -pD -m0644 %_sourcedir/README.ALT README.ALT

#remove files
find %buildroot%installdir -name remove.txt -delete
find $RPM_BUILD_ROOT \( -name 'Thumbs.db' -o -name 'Thumbs.db.gz' \) -print -delete

#set permissions
find %buildroot%installdir -type d -exec chmod 755 {} \;
find %buildroot%installdir -type f -exec chmod 644 {} \;

find %buildroot%installdir/cache -type d -exec chmod 770 {} \;
find %buildroot%installdir/cache -type f -exec chmod 660 {} \;

find %buildroot%installdir/custom -type d -exec chmod 770 {} \;
find %buildroot%installdir/custom -type f -exec chmod 660 {} \;

find %buildroot%installdir/data -type d -exec chmod 770 {} \;
find %buildroot%installdir/data -type f -exec chmod 660 {} \;

find %buildroot%installdir/modules -type d -exec chmod 770 {} \;
find %buildroot%installdir/modules -type f -exec chmod 660 {} \;



%post apache
%_initdir/httpd condreload

%postun apache
%_initdir/httpd condreload


%post apache2
%_initdir/httpd2 condreload

%postun apache2
%_initdir/httpd2 condreload


%files
%defattr(-,root,%webserver_group)
%dir %attr(0775,root,%webserver_group) %installdir
%installdir/cache
%installdir/custom
%installdir/data
%installdir/examples
%installdir/include
%installdir/install
%installdir/jscalendar
%installdir/jssource
%installdir/log4php
%installdir/metadata
%installdir/ModuleInstall
%installdir/modules
%installdir/service
%installdir/soap
%installdir/themes
%installdir/XTemplate
%config %attr(0660,root,%webserver_group) %installdir/config.php
%installdir/*.php
%installdir/*.html
%installdir/*.txt
%config %attr(0664,root,%webserver_group) %installdir/.htaccess
%defattr(0644,root, root)
%doc README.ALT


%files apache
%config(noreplace) %attr(0644,root,root) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf


%files apache2
%config(noreplace) %attr(0644,root,root) %_sysconfdir/httpd2/conf/addon.d/A.%name.conf


%files php5


%changelog
* Sun Dec 20 2009 Pavel Zilke <zidex at altlinux dot org> 5.5.0-alt1
- Initial build for ALT Linux

